File do-not-check-for-yarn.patch of Package code

we need to run npm rebuild to build native modules. do not abort if npm is detected.

--- a/build/npm/preinstall.js
+++ b/build/npm/preinstall.js
@@ -31,7 +31,6 @@
 
 if (!/yarn[\w-.]*\.c?js$|yarnpkg$/.test(process.env['npm_execpath'])) {
 	console.error('\x1b[1;31m*** Please use yarn to install dependencies.\x1b[0;0m');
-	err = true;
 }
 
 if (process.platform === 'win32') {
 
openSUSE Build Service is sponsored by